Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::sample_fn Struct Reference
Inheritance diagram for ranges::views::sample_fn:

## Synopsis of methods
constexpr sample_fn | sample {}

## Public Member Functions
template<typename Size , typename URNG = detail::default_random_engine>
constexpr auto | operator() (Size n, URNG &urng=detail::get_random_engine()) const
Public Member Functions inherited from ranges::views::sample_base_fn
template<typename Rng , typename URNG = detail::default_random_engine>
sample_view< all_t< Rng >, URNG > | operator() (Rng &&rng, range_difference_t< Rng > sample_size, URNG &generator=detail::get_random_engine()) const

## Member Function Documentation

## ◆ operator()()

template<typename Size , typename URNG = detail::default_random_engine>

constexpr auto ranges::views::sample_fn::operator() | ( | Size | n,
|  | URNG & | urng = `detail::get_random_engine()`
| ) |  | const
| constexpr

Precondition
  requires `integral<Size> && uniform_random_bit_generator<URNG>`